export declare type Suite = {
    name: string;
    env?: {
        [key: string]: string;
    };
    config?: {
        env?: {
            [key: string]: string;
        };
    };
};
export declare type Registry = {
    scope?: string;
    url: string;
    authToken?: string;
};
export declare type NpmConfig = {
    /**
     * @deprecated: registry should be avoided in favor of a "registries" entry.
     */
    registry?: string;
    registries?: Registry[];
    strictSSL?: boolean | string | null;
    packageLock?: boolean | string | null;
    packages?: {
        [key: string]: string | number;
    };
};
export interface PathContainer {
    path: string;
}
export interface NpmConfigContainer {
    npm?: NpmConfig;
}
export interface SuitesContainer {
    suites: Suite[];
}
export interface NodeContext {
    nodePath: string;
    npmPath: string;
}
//# sourceMappingURL=types.d.ts.map